Skip to main content
GET
/
parcel-templates
/
{CarrierParcelTemplateToken}
cURL
curl https://api.goshippo.com/parcel-templates/Fedex_Box_Small_1  \
-H "Authorization: ShippoToken <API_TOKEN>" \
-H "Content-Type: application/json"
{
  "carrier": "FedEx",
  "distance_unit": "in",
  "height": "1.5",
  "is_variable_dimensions": false,
  "length": "12.375",
  "name": "FedEx® Small Box (S1)",
  "token": "FedEx_Box_Small_1",
  "width": "10.875"
}

Authorizations

Authorization
string
header
default:ShippoToken shippo_test_d41a6f04796998570c521a50828eae8e3cccf0eb
required

API key authentication using the ShippoToken scheme. Format: Authorization: ShippoToken <API_TOKEN> Example: Authorization: ShippoToken shippo_live_abc123

Headers

SHIPPO-API-VERSION
string
default:2018-02-08

Optional string used to pick a non-default API version to use. See our API version guide.

Example:

"2018-02-08"

Path Parameters

CarrierParcelTemplateToken
string
required

The unique string representation of the carrier parcel template

Response

Carrier parcel template

carrier
string

The name of the carrier that provides this parcel template

Example:

"FedEx"

distance_unit
enum<string>

The measure unit used for length, width and height.

Available options:
cm,
in,
ft,
m,
mm,
yd
Example:

"in"

height
string

The height of the package, in units specified by the distance_unit attribute

Example:

"1.5"

is_variable_dimensions
boolean

True if the carrier parcel template allows custom dimensions, such as USPS Softpack.

Example:

false

length
string

The length of the package, in units specified by the distance_unit attribute

Example:

"12.375"

name
string

The name of the carrier parcel template

Example:

"FedEx® Small Box (S1)"

token
string

The unique string representation of the carrier parcel template

Example:

"FedEx_Box_Small_1"

width
string

The width of the package, in units specified by the distance_unit attribute

Example:

"10.875"